import { Functional } from '../../../../../Class/Functional';
import { Done } from '../../../../../Class/Functional/Done';
import { System } from '../../../../../system';
import { BS } from '../../../../../types/interface/BS';
import { BSE } from '../../../../../types/interface/BSE';
export interface I {
    server: BS;
    uuid: string;
}
export interface O {
    service: BSE;
}
export default class BluetoothService extends Functional<I, O> {
    constructor(system: System);
    f({ server, uuid }: I, done: Done<O>): Promise<void>;
    d(): void;
}
